This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832021 - Frame arrival times (pcap) are 1 hour more than timestamps in txt
Frame arrival times (pcap) are 1 hour more than timestamps in txt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: wireshark (Show other bugs)
6.2
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Peter Hatina
Dalibor Pospíšil
: EasyFix
Depends On:
Blocks: 947781
  Show dependency treegraph
 
Reported: 2012-06-14 06:23 EDT by Karel Srot
Modified: 2016-05-31 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: wrong timestamp handling Consequence: frame arrival timestamps are shifted by 1 hour Fix: proper timestamp handling Result: frame arrival timestamps are not shifted
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 02:29:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-14 06:23:47 EDT
Description of problem:

This is an upstream bug 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4289
Frame arrival times (pcap) are 1 hour more than timestamps in txt

This bug is causing 8 errors in upstream dfilter-test.py test suite


Version-Release number of selected component (if applicable):
wireshark-1.2.15-2.el6

How reproducible:
always

Steps to Reproduce:
extract wireshark src package and execute the test suite
pyton tools/dfilter-test.py -p /usr/sbin/
  
Actual results:
20 failures, 8 of them are cause by this bug

Expected results:
no time related bugs

I have manually applied the upstream patch and verified that the time errors didn't appear
Comment 1 RHEL Product and Program Management 2012-09-07 00:59:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 errata-xmlrpc 2013-11-21 02:29:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1569.html

Note You need to log in before you can comment on or make changes to this bug.